package com.ruoyi.system.domain.grid.vo;

import com.ruoyi.system.domain.grid.GridCompanyLawArchives;

import java.util.List;

public class GridCompanyLawArchivesParam extends GridCompanyLawArchives {

    //扩展
    private String companyName;

    private String companyType;

    private String creditCode;

    private String wgCode;

    private String startTime;

    private String endTime;

    private Integer currIndex;

    private Integer pageSize;

    private List<String> companyIds;

    private String searchName;

    private String wgId;

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public String getCompanyType() {
        return companyType;
    }

    public void setCompanyType(String companyType) {
        this.companyType = companyType;
    }

    public String getCreditCode() {
        return creditCode;
    }

    public void setCreditCode(String creditCode) {
        this.creditCode = creditCode;
    }

    public String getWgCode() {
        return wgCode;
    }

    public void setWgCode(String wgCode) {
        this.wgCode = wgCode;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public Integer getCurrIndex() {
        return currIndex;
    }

    public void setCurrIndex(Integer currIndex) {
        this.currIndex = currIndex;
    }

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    public List<String> getCompanyIds() {
        return companyIds;
    }

    public void setCompanyIds(List<String> companyIds) {
        this.companyIds = companyIds;
    }

    public String getSearchName() {
        return searchName;
    }

    public void setSearchName(String searchName) {
        this.searchName = searchName;
    }

    public String getWgId() {
        return wgId;
    }

    public void setWgId(String wgId) {
        this.wgId = wgId;
    }
}
